<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Todos</title>

    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
          rel="stylesheet">
</head>
<body>

<h1 class="text-center p-3">Todos</h1>
<a href="/todo/add">
    <button class="btn btn-outline-primary">Add Todo</button>
</a>
<table class="table table-hover">
    <thead>
    <tr>
        <th>Id</th>
        <th>Title</th>
        <th>Priority</th>
        <th>Created At</th>
        <th>Action</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="todo:${todos}">
        <td th:text="${todo.id}"/>
        <td th:text="${todo.title}"/>
        <td th:text="${todo.priority}"/>
        <td th:text="${todo.createdAt}"/>
        <td>
            <a th:href="'/todo/edit?id=' + ${todo.id}">
                <button class="btn btn-outline-warning">Edit</button>
            </a>
            <a th:href="'/todo/delete?id=' + ${todo.id}">
                <button class="btn btn-outline-danger">Delete</button>
            </a>
        </td>
    </tr>
    </tbody>
</table>

</body>
</html>